import service from '@/utils/request'
const api = {
  /*助教*/
   getAssistantList : data => { // 助教列表
    return service({
      url: '/assistant',
      method: 'get',
      params:data
    })
  },
  getAssistantDetail: data => { // 助教详情
    return service({
      url: '/assistant/'+data.id,
      method: 'get',
      params:data
    })
  },
  /*主管*/
   getManagerList : data => { // 主管列表
    return service({
      url: '/manager',
      method: 'get',
      params:data
    })
  },
  getManagerDetail: data => { // 主管详情
    return service({
      url: '/manager/'+data.managerId,
      method: 'get',
      params:data
    })
  },
  addManager: data => { // 添加主管
    return service({
      url: '/manager',
      method: 'post',
      data
    })
  },
  delManager: data => { // 删除主管
    return service({
      url: '/manager',
      method: 'delete',
      data
    })
  },
  getBrokerage: data => { // 获取佣金信息
    return service({
      url: '/brokerage',
      method: 'get'
    })
  },
  brokerageFunc: data => { // 提交佣金设置
    return service({
      url: '/brokerage',
      method: 'post',
      data
    })
  },
  assistantOperator : data => {// 审核提交-助教
    return service({
      url: '/assistant/change',
      method: 'post',
      data
    })
  },
}
export default api
